org.wildfly.swarm.config.management

## Class SecurityRealm.SecurityRealmResources

- java.lang.Object
- - org.wildfly.swarm.config.management.SecurityRealm.SecurityRealmResources

- Enclosing class:
    SecurityRealm<T extends SecurityRealm<T>>

      public static class SecurityRealm.SecurityRealmResources
      extends Object

  Child mutators for SecurityRealm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityRealmResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JaasAuthentication` | `jaasAuthentication()` Configuration to use a JAAS LoginContext to authenticate the users.
    `KerberosAuthentication` | `kerberosAuthentication()` Configuration to use Kerberos to authenticate the users.
    `KerberosServerIdentity` | `kerberosServerIdentity()` Configuration for the Kerberos identity of a server or host controller.
    `LdapAuthentication` | `ldapAuthentication()` Configuration to use LDAP as the user repository.
    `LdapAuthorization` | `ldapAuthorization()` Configuration to use LDAP as the user repository.
    `LocalAuthentication` | `localAuthentication()` Configuration of the local authentication mechanism.
    `PlugIn` | `plugIn(String key)`
    `PlugInAuthentication` | `plugInAuthentication()` Configuration of a user store plug-in for use by the realm.
    `PlugInAuthorization` | `plugInAuthorization()` Configuration of a user store plug-in for use by the realm.
    `List<PlugIn>` | `plugIns()` Get the list of PlugIn resources
    `PropertiesAuthentication` | `propertiesAuthentication()` Configuration to use a list users stored within a properties file as the user repository.
    `PropertiesAuthorization` | `propertiesAuthorization()` Configuration to use properties file to load a users roles.
    `SecretServerIdentity` | `secretServerIdentity()` Configuration of the secret/password-based identity of a server or host controller.
    `SslServerIdentity` | `sslServerIdentity()` Configuration of the SSL identity of a server or host controller.
    `TruststoreAuthentication` | `truststoreAuthentication()` Configuration of a keystore to use to create a trust manager to verify clients.
    `UsersAuthentication` | `usersAuthentication()` Configuration to use a list users stored directly within the standalone.xml or host.xml configuration file as the user repository.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityRealmResources

          public SecurityRealmResources()

  - ### Method Detail

    - #### plugIns

          public List<PlugIn> plugIns()

      Get the list of PlugIn resources
      Returns:
        the list of resources

    - #### plugIn

          public PlugIn plugIn(String key)

    - #### truststoreAuthentication

          public TruststoreAuthentication truststoreAuthentication()

      Configuration of a keystore to use to create a trust manager to verify clients.

    - #### ldapAuthorization

          public LdapAuthorization ldapAuthorization()

      Configuration to use LDAP as the user repository.

    - #### kerberosAuthentication

          public KerberosAuthentication kerberosAuthentication()

      Configuration to use Kerberos to authenticate the users.

    - #### usersAuthentication

          public UsersAuthentication usersAuthentication()

      Configuration to use a list users stored directly within the standalone.xml or host.xml configuration file as the user repository.

    - #### ldapAuthentication

          public LdapAuthentication ldapAuthentication()

      Configuration to use LDAP as the user repository.

    - #### jaasAuthentication

          public JaasAuthentication jaasAuthentication()

      Configuration to use a JAAS LoginContext to authenticate the users.

    - #### secretServerIdentity

          public SecretServerIdentity secretServerIdentity()

      Configuration of the secret/password-based identity of a server or host controller.

    - #### sslServerIdentity

          public SslServerIdentity sslServerIdentity()

      Configuration of the SSL identity of a server or host controller.

    - #### plugInAuthorization

          public PlugInAuthorization plugInAuthorization()

      Configuration of a user store plug-in for use by the realm.

    - #### propertiesAuthentication

          public PropertiesAuthentication propertiesAuthentication()

      Configuration to use a list users stored within a properties file as the user repository. The entries within the properties file are username={credentials} with each user being specified on it's own line.

    - #### kerberosServerIdentity

          public KerberosServerIdentity kerberosServerIdentity()

      Configuration for the Kerberos identity of a server or host controller.

    - #### plugInAuthentication

          public PlugInAuthentication plugInAuthentication()

      Configuration of a user store plug-in for use by the realm.

    - #### localAuthentication

          public LocalAuthentication localAuthentication()

      Configuration of the local authentication mechanism.

    - #### propertiesAuthorization

          public PropertiesAuthorization propertiesAuthorization()

      Configuration to use properties file to load a users roles. The entries within the properties file are username={roles} where roles is a comma separated list of users roles.

Copyright © 2017 JBoss by Red Hat. All rights reserved.